Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.util
Class PropertyUtils

    java.lang.Object
      sharin.util.PropertyUtils

    public class PropertyUtils

extends Object

Constructor Summary
`PropertyUtils()`

Method Summary
`static Class<?>` | `getNestedPropertyType(Class<?> clazz, String nestedName)`
`static
`<T> T`
` | `getNestedPropertyValue(Object object, String nestedName)`
`static Class<?>` | `getSimplePropertyType(Class<?> clazz, String simpleName)`
`static
`<T> T`
` | `getSimplePropertyValue(Object object, String simpleName)`
`static boolean` | `hasNestedProperty(Object object, String nestedName)`
`static boolean` | `hasSimpleProperty(Object object, String simpleName)`
`static void` | `setNestedPropertyValue(Object object, String nestedName, Object value)`
`static void` | `setSimplePropertyValue(Object object, String simpleName, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyUtils

    public PropertyUtils()

Method Detail

### getSimplePropertyType

    public static Class<?> getSimplePropertyType(Class<?> clazz,
                                                 String simpleName)

### hasSimpleProperty

    public static boolean hasSimpleProperty(Object object,
                                            String simpleName)

### getSimplePropertyValue

    public static <T> T getSimplePropertyValue(Object object,
                                               String simpleName)

### setSimplePropertyValue

    public static void setSimplePropertyValue(Object object,
                                              String simpleName,
                                              Object value)

### getNestedPropertyType

    public static Class<?> getNestedPropertyType(Class<?> clazz,
                                                 String nestedName)

### hasNestedProperty

    public static boolean hasNestedProperty(Object object,
                                            String nestedName)

### getNestedPropertyValue

    public static <T> T getNestedPropertyValue(Object object,
                                               String nestedName)

### setNestedPropertyValue

    public static void setNestedPropertyValue(Object object,
                                              String nestedName,
                                              Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.